package com.example.wholeestate.controller;


import com.example.wholeestate.common.base.BaseController;
import com.example.wholeestate.common.resp.ResponseBean;
import com.example.wholeestate.model.BuildingDynamic;
import com.example.wholeestate.service.IBuildingDynamicService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpSession;

/**
 * <p>
 * 项目动态表 前端控制器
 * </p>
 *
 * @author jobob
 * @since 2019-03-21
 */
@RestController
@RequestMapping("/")
@Api(value = "项目动态管理API",description = "项目动态管理API")
public class BuildingDynamicController extends BaseController {

    @Autowired
    private IBuildingDynamicService iBuildingDynamicService;

    @ApiOperation(value = "项目动态管理列表", notes = "项目动态管理列表")
    @ApiImplicitParams({
            @ApiImplicitParam(paramType = "Query",dataType = "Integer",name = "pageNum",value = "分页第几页" ),
            @ApiImplicitParam(paramType = "Query",dataType = "Integer",name = "pageSize",value = "pageSize:每页长度")

    })
    @RequestMapping(value = "/iBuildingDynamicList", method = RequestMethod.POST)
    public ResponseBean iBuildingDynamicList(@RequestParam("pageNum")Integer pageNum,@RequestParam("pageSize")Integer pageSize, HttpSession session){
        ResponseBean  responseBean = iBuildingDynamicService.iBuildingDynamicList(pageNum,pageSize);
        return responseBean;
    }

    @RequestMapping(value = "/iBuildingDynamicSelectId/{id}", method = RequestMethod.GET)
    @ApiOperation(value = "项目动态详情", notes = "项目动态详情")
    @ApiImplicitParams({
            @ApiImplicitParam(paramType = "path", dataTypeClass=Integer.class, name = "id", value = "项目动态id"),
    })
    public ResponseBean iBuildingDynamicSelectId(@PathVariable(value = "id") Integer id, HttpSession session){
        ResponseBean  responseBean = iBuildingDynamicService.iBuildingDynamicSelectId(id);
        return responseBean;
    }

    @ApiOperation(value = "微信小程序端项目动态管理列表", notes = "微信小程序端项目动态管理列表")
    @ApiImplicitParams({
            @ApiImplicitParam(paramType = "Query",dataType = "Integer",name = "pageNum",value = "分页第几页" ),
            @ApiImplicitParam(paramType = "Query",dataType = "Integer",name = "pageSize",value = "pageSize:每页长度")

    })
    @RequestMapping(value = "/wx/buildingDynamiceList", method = RequestMethod.GET)
    public ResponseBean wxBuildingDynamiceList(@RequestParam("pageNum")Integer pageNum,@RequestParam("pageSize")Integer pageSize, HttpSession session){
        ResponseBean  responseBean = iBuildingDynamicService.getWxBuildingDynamiceList(pageNum,pageSize);
        return responseBean;
    }

    @RequestMapping(value = "/wx/buildingDynamiceInfo/{dynamicId}", method = RequestMethod.GET)
    @ApiOperation(value = "微信小程序项目动态详情", notes = "微信小程序项目动态详情")
    @ApiImplicitParams({
            @ApiImplicitParam(paramType = "path", dataTypeClass=String.class, name = "dynamicId", value = "项目动态dynamicId"),
    })
    public ResponseBean iBuildingDynamicSelectId(@PathVariable(value = "dynamicId") String dynamicId, HttpSession session){
        ResponseBean  responseBean = iBuildingDynamicService.getWxBuildingDynamiceInfo(dynamicId);
        return responseBean;
    }

}
