package com.example.wholeestate.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.example.wholeestate.common.resp.ResponseBean;
import com.example.wholeestate.model.Building;

/**
 * <p>
 * 楼盘表 服务类
 * </p>
 *
 * @author jobob
 * @since 2019-03-20
 */
public interface IBuildingService extends IService<Building> {

    /**
     * 楼盘列表
     * @param pageNum
     * @param pageSize
     * @return
     */
    ResponseBean buildingList(Integer pageNum,Integer pageSize,String name,String code);

    /**
     * 楼盘详情
      * @param id
     * @return
     */
    ResponseBean buildingSelectId(String id);

    /**
     * 修改楼盘
     * @param parameter
     * @return
     */
    ResponseBean buildingUpdate(String parameter);

    /**
     *
     * @param
     * @return
     */
    ResponseBean appointmentList(Integer pageNum, Integer pageSize,String buildingId,String username,String phone,String status);

    /**
     * 添加楼盘
     * @param parameter
     * @return
     */
    ResponseBean buildingAdd(String parameter);

    /**
     * 修改成已发布
     * @return
     */
    ResponseBean buildingUpdateStatus(String parameter);

    /**
     * 楼盘删除
     * @return
     */
    ResponseBean buildingdelete(String id);


    /**
     * 楼盘户型添加
     * @param parameter
     * @return
     */
    ResponseBean buildingApartmentAdd(String parameter);

    /**
     * 户型添加
     * @param parameter
     * @return
     */
    ResponseBean buildingApartmentUpdate(String parameter);

    /**
     * 户型详情
     * @param id
     * @return
     */
    ResponseBean buildingApartmentSelectId(String id);

    /**
     * 修改核销备注
     * @return
     */
    ResponseBean appointmentUpdate(String id,String writeoffRemark);

    /**
     * 微信小程序 楼盘列表
     * @return
     */
    ResponseBean getWxBuildingList();

    ResponseBean getWxBuildingById(String buildingId);

    /**
     * 户型列表根据楼盘ID查询
     * @param id
     * @return
     */
    ResponseBean buildingApartmentBuildingId(String id);
}
